List report jobs
get
/access-governance/service-administration/20250331/reports/jobs
Lists report jobs visible to the caller.
Request
Query Parameters
-
keywordContains: string
Limits results to jobs containing this value in searchable report metadata, including display name, report type, requester, requester email, or output file name. By default, no keyword filter is applied.
-
limit: integer
Minimum Value:
1Maximum Value:100The maximum number of items to return.Default Value:10 -
page: string
Minimum Length:
1A token representing the position at which to start retrieving results. This must come from the `opc-next-page` header field of a previous response. -
reportType: string
Limits results to the specified report type. By default, all report types are returned.Allowed Values:
[ "USER_ACCESS_BUNDLE_ASSIGNMENTS", "ACCESS_BUNDLE_ROLE_PERMISSIONS", "GLOBAL_IDENTITY_ACCOUNTS", "GLOBAL_IDENTITY", "PERMISSIONS" ] -
requesterScope: string
Limits results by requester. By default, only jobs requested by the caller are returned.Allowed Values:
[ "ME", "OTHERS", "ALL" ] -
sortBy: string
Field used to order the returned report jobs. By default, jobs are ordered by creation time.Allowed Values:
[ "timeCreated", "displayName", "reportType", "requestedBy", "timeFinished", "fileName" ] -
sortOrder: string
The sort order to use, either 'ASC' or 'DESC'.Allowed Values:
[ "ASC", "DESC" ]
Header Parameters
-
opc-request-id: string
The client request ID for tracing. The only valid characters for request IDs are letters, numbers, underscore, and dash.
Response
Supported Media Types
- application/json
200 Response
A page of report jobs.
Headers
-
opc-next-page: string
For pagination of a list of items. When paging through a list, if this header appears in the response, then a partial list might have been returned. Include this value as the `page` parameter for the subsequent GET request to get the next batch of items.
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : ReportJobCollection
Type:
objectA page of report jobs.
Show Source
-
items(required):
array items
Report jobs in this page.
Nested Schema : items
Type:
arrayReport jobs in this page.
Show Source
-
Array of:
object ReportJob
Report job status and download metadata.
Nested Schema : ReportJob
Type:
objectReport job status and download metadata.
Show Source
-
bytes:
integer(int64)
Size of the generated report artifact in bytes.
-
displayName:
string
User-visible name supplied when the report job was created.
-
downloadUrl:
string
Relative URL for the generated report artifact. Present when lifecycleState is SUCCEEDED.
-
failureCode:
string
Machine-readable failure code, when applicable.
-
failureDetails:
string
Details explaining why report generation failed, when applicable.
-
id(required):
string
Unique report job identifier.
-
lifecycleState(required):
string
Allowed Values:
[ "ACCEPTED", "WAITING", "IN_PROGRESS", "SUCCEEDED", "FAILED", "CANCELING", "CANCELED" ]Current backend lifecycle state of the report job. -
parameters:
object ReportJobParameters
GLOBAL_IDENTITY supports selectedColumns. Other report types use their fixed documented columns and do not accept parameters.
-
percentComplete:
integer
Approximate percentage of report generation completed.
-
reportType(required):
string
Allowed Values:
[ "USER_ACCESS_BUNDLE_ASSIGNMENTS", "ACCESS_BUNDLE_ROLE_PERMISSIONS", "GLOBAL_IDENTITY_ACCOUNTS", "GLOBAL_IDENTITY", "PERMISSIONS" ]Type of report generated by this job. -
requestedBy:
string
Identifier of the principal that requested the report job.
-
rowCount:
integer(int64)
Number of rows in the generated report.
-
timeCreated(required):
string(date-time)
Time the report job was accepted.
-
timeFinished:
string(date-time)
Time the report job reached a terminal state.
-
timeStarted:
string(date-time)
Time report generation began.
Nested Schema : ReportJobParameters
Type:
objectGLOBAL_IDENTITY supports selectedColumns. Other report types use their fixed documented columns and do not accept parameters.
Show Source
-
selectedColumns:
array selectedColumns
Optional GLOBAL_IDENTITY columns. Always-available columns are included automatically and must not be supplied.
Nested Schema : selectedColumns
Type:
arrayOptional GLOBAL_IDENTITY columns. Always-available columns are included automatically and must not be supplied.
Show Source
-
Array of:
string
Allowed Values:
[ "firstName", "lastName", "personNumber", "managerUserName", "startDate", "terminationDate" ]
400 Response
Bad Request
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
401 Response
Unauthorized
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
404 Response
Not Found
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
429 Response
Too Many Requests
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
500 Response
Internal Server Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.
Default Response
Unknown Error
Headers
-
opc-request-id: string
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Error
Type:
objectError Information.
Show Source
-
code(required):
string
A short error code that defines the error, meant for programmatic parsing.
-
message(required):
string
A human-readable error string.